OpenVDB 12.1.0

Loading...
Searching...
No Matches
ProbeValue< BuildT > Struct Template Reference

Implements Tree::probeLeaf(math::Coord) More...

`#include <nanovdb/NanoVDB.h>`

## Public Types
using | Type = bool
using | ValueT = typename BuildToValueMap<BuildT>::Type

## Static Public Member Functions
static __hostdev__ Type | get (const NanoRoot< BuildT > &root, ValueT &v)
static __hostdev__ Type | get (const typename NanoRoot< BuildT >::Tile &tile, ValueT &v)
static __hostdev__ Type | get (const NanoUpper< BuildT > &node, uint32_t n, ValueT &v)
static __hostdev__ Type | get (const NanoLower< BuildT > &node, uint32_t n, ValueT &v)
static __hostdev__ Type | get (const NanoLeaf< BuildT > &leaf, uint32_t n, ValueT &v)

## Static Public Attributes
static constexpr int | LEVEL = 0

## Detailed Description

template<typename BuildT>
struct nanovdb::ProbeValue< BuildT >

Implements Tree::probeLeaf(math::Coord)

Template Parameters

  BuildT | Build type of the grid being called

## Member Typedef Documentation

## ◆ Type

template<typename BuildT>

using Type = bool

## ◆ ValueT

template<typename BuildT>

using ValueT = typename BuildToValueMap<BuildT>::Type

## Member Function Documentation

## ◆ get() [1/5]

template<typename BuildT>

__hostdev__ Type get | ( | const NanoLeaf< BuildT > & | leaf,
|  | uint32_t | n,
|  | ValueT & | v )
| inline static

## ◆ get() [2/5]

template<typename BuildT>

__hostdev__ Type get | ( | const NanoLower< BuildT > & | node,
|  | uint32_t | n,
|  | ValueT & | v )
| inline static

## ◆ get() [3/5]

template<typename BuildT>

__hostdev__ Type get | ( | const NanoRoot< BuildT > & | root,
|  | ValueT & | v )
| inline static

## ◆ get() [4/5]

template<typename BuildT>

__hostdev__ Type get | ( | const NanoUpper< BuildT > & | node,
|  | uint32_t | n,
|  | ValueT & | v )
| inline static

## ◆ get() [5/5]

template<typename BuildT>

__hostdev__ Type get | ( | const typename NanoRoot< BuildT >::Tile & | tile,
|  | ValueT & | v )
| inline static

## Member Data Documentation

## ◆ LEVEL

template<typename BuildT>

int LEVEL = 0
| static constexpr